Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class NodeTypeSchemata.SessionSchemata

    java.lang.Object
      org.modeshape.jcr.NodeTypeSchemata.SessionSchemata

All Implemented Interfaces:
  Schemata

Enclosing class:
  NodeTypeSchemata

    @NotThreadSafe
    protected class NodeTypeSchemata.SessionSchemata

extends Object
implements Schemata

Implementation class that builds the tables lazily.

Nested Class Summary

Nested classes/interfaces inherited from interface org.modeshape.jcr.query.validate.Schemata
`Schemata.Column, Schemata.Key, Schemata.Table, Schemata.View`

Constructor Summary
`protected` | `NodeTypeSchemata.SessionSchemata(JcrSession session)`

Method Summary
`Schemata.Table` | `getTable(SelectorName name)` Get the information for the table or view with the supplied name within this schema.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeTypeSchemata.SessionSchemata

    protected NodeTypeSchemata.SessionSchemata(JcrSession session)

Method Detail

### getTable

    public Schemata.Table getTable(SelectorName name)

  Description copied from interface: `Schemata`
  Get the information for the table or view with the supplied name within this schema.

  The resulting definition is immutable.

  Specified by:
    `getTable` in interface `Schemata`
  Parameters:
    `name` - the table or view name; may not be null
  Returns:
    the table or view information, or null if there is no such table

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.